﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Telerik.WinControls.UI;

namespace RadGridViewExample
{
    public partial class Form1 : RadForm
    {
        public Form1()
        {
            InitializeComponent();

            List<Block> blocks = new List<Block>();

            for (int i = 0; i < 3; i++)
            {
                blocks.Add(new Block(i, "Block " + i));
            }

            List<Room> rooms = new List<Room>();

            for (int i = 0; i < 20; i++)
            {
                rooms.Add(new Room(i, "Room " + i, i % 3));
            }

            this.radGridView1.AutoGenerateColumns = false;
            GridViewDecimalColumn idCol = new GridViewDecimalColumn(typeof(int), "Id", "Id");
            GridViewTextBoxColumn textCol = new GridViewTextBoxColumn("Text", "Text");
            GridViewComboBoxColumn blockCol = new GridViewComboBoxColumn("BlockId", "BlockId");
            blockCol.DisplayMember = "Text";
            blockCol.ValueMember = "Id";
            blockCol.DataSource = blocks;

            this.radGridView1.Columns.Add(idCol);
            this.radGridView1.Columns.Add(textCol);
            this.radGridView1.Columns.Add(blockCol);

            this.radGridView1.DataSource = rooms;
        }
    }
}
